<template>
    <div class="card profile-header">
        <div class="body text-center">
            <div class="profile-image">
                <img
                    v-if="user.info"
                    :src="
                        user.info.img_profile
                            ? user.info.img_profile
                            : '/assets/images/profile_av.jpg'
                    "
                    alt=""
                />
                <img
                    v-if="!user.info"
                    src="/assets/images/profile_av.jpg"
                    alt=""
                />
                <button
                    id="editar"
                    class="btn btn-white btn-icon btn-round m-l-10"
                    type="button"
                    data-toggle="modal"
                    data-target="#largeModal"
                >
                    <i class="zmdi zmdi-edit"></i>
                </button>
            </div>
            <div>
                <h4 class="m-b-0">
                    <strong>{{ user.firstname }} {{ user.lastname }} </strong>
                </h4>
                <span class="job_post">{{
                    user.role == 100
                        ? fields.profile_card.nurse
                        : user.role == 200
                        ? fields.profile_card.user
                        : fields.profile_card.admin
                }}</span>
                <p v-if="user.info">
                    {{ user.info.address_1 ? user.info.address_1 + ',' : '' }} 
                    {{ user.info.address_2 ?user.info.address_2:''}} <br>
                    {{ user.info.estado ?user.info.estado.name + ',' :''}} 
                    {{ user.info.pais ?user.info.pais.name:''}}
                </p>
            </div>
            <div>
                <button class="btn btn-primary btn-round">{{fields.profile_card.follow}}</button>
                <button class="btn btn-primary btn-round btn-simple">
                    {{fields.profile_card.message}}
                </button>
            </div>
            <p class="social-icon m-t-5 m-b-0">
                <a title="Twitter" href="javascript:void(0);"
                    ><i class="zmdi zmdi-twitter"></i
                ></a>
                <a title="Facebook" href="javascript:void(0);"
                    ><i class="zmdi zmdi-facebook"></i
                ></a>
                <a title="Google-plus" href="javascript:void(0);"
                    ><i class="zmdi zmdi-twitter"></i
                ></a>
                <a title="Behance" href="javascript:void(0);"
                    ><i class="zmdi zmdi-behance"></i
                ></a>
                <a title="Instagram" href="javascript:void(0);"
                    ><i class="zmdi zmdi-instagram "></i
                ></a>
            </p>
        </div>
    </div>
</template>
<style>
.profile-image {
    position: relative;
}
#editar {
    display: none;
    position: absolute;
    top: 40%;
    left: 40%;
}
.profile-image:hover img {
    filter: grayscale(50%);
}
.profile-image:hover #editar {
    display: block;
}
</style>

<script>
export default {
    props: ["users", "trans"],
    mounted() {},
    data() {
        return {
            user: this.users,
            fields: this.trans
        };
    },
    methods: {}
};
</script>
